Does not work inside a snap due to hardcoded paths

Bug #1629009 reported by Michael Terry on 2016-09-29
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Canonical System Image
High
Bill Filler
Ubuntu File Manager App
Undecided
Renato Araujo Oliveira Filho
address-book-app (Ubuntu)
High
Renato Araujo Oliveira Filho
address-book-service (Ubuntu)
Undecided
Unassigned
camera-app (Ubuntu)
Undecided
Unassigned
dialer-app (Ubuntu)
High
Renato Araujo Oliveira Filho
gallery-app (Ubuntu)
Undecided
Unassigned
history-service (Ubuntu)
Undecided
Unassigned
indicator-bluetooth (Ubuntu)
Undecided
Unassigned
indicator-display (Ubuntu)
Undecided
Charles Kerr
indicator-keyboard (Ubuntu)
Undecided
Unassigned
indicator-location (Ubuntu)
Undecided
Unassigned
indicator-messages (Ubuntu)
Undecided
Unassigned
indicator-network (Ubuntu)
Critical
Unassigned
indicator-power (Ubuntu)
Undecided
Unassigned
indicator-session (Ubuntu)
Undecided
Unassigned
indicator-sound (Ubuntu)
Undecided
Unassigned
indicator-transfer (Ubuntu)
Undecided
Unassigned
maliit-framework (Ubuntu)
Undecided
Michael Sheldon
mediaplayer-app (Ubuntu)
Undecided
Unassigned
mediascanner2 (Ubuntu)
Undecided
Unassigned
messaging-app (Ubuntu)
High
Renato Araujo Oliveira Filho
policykit-unity8 (Ubuntu)
Undecided
Unassigned
sync-monitor (Ubuntu)
Undecided
Renato Araujo Oliveira Filho
telephony-service (Ubuntu)
Undecided
Roberto Mier Escandón 
ubuntu-keyboard (Ubuntu)
Undecided
Michael Sheldon
ubuntu-system-settings (Ubuntu)
High
Jonas G. Drange
ubuntu-terminal-app (Ubuntu)
High
Michael Sheldon
ubuntu-touch-session (Ubuntu)
Undecided
Unassigned
unity-scope-scopes (Ubuntu)
Undecided
Unassigned
unity-scopes-api (Ubuntu)
Undecided
Michael Terry
unity-scopes-shell (Ubuntu)
Undecided
Michael Terry
unity8 (Ubuntu)
High
Michael Terry
webbrowser-app (Ubuntu)
High
Olivier Tilloy

Bug Description

Some apps can't find their main qml file. Error messages like:

"file:///build/messaging-app-gcXPE6/messaging-app-0.1+16.04.20160831/src/qml/messaging-app.qml: File not found"

(in my case, the file was in /snap/unity8-session/x24/usr/share/messaging-app/messaging-app.qml)

Seems due to code like the following in config.h.in. Probably needs to consider the value of $SNAP or just be a little more forgiving.

inline bool isRunningInstalled() {
    static bool installed = (QCoreApplication::applicationDirPath() ==
                             QDir(("@CMAKE_INSTALL_PREFIX@/@CMAKE_INSTALL_BINDIR@")).canonicalPath());
    return installed;
}

inline QString messagingAppDirectory() {
    if (isRunningInstalled()) {
        return QString("@CMAKE_INSTALL_PREFIX@/@MESSAGING_APP_DIR@/");
    } else {
        return QString("@CMAKE_SOURCE_DIR@/src/qml/");
    }
}

inline QString ubuntuPhonePluginPath() {
    if (isRunningInstalled()) {
        return QString::null;
    } else {
        return QString("@CMAKE_SOURCE_DIR@/");
    }
}

Related branches

Michael Terry (mterry) on 2016-09-29
description: updated
Michael Terry (mterry) wrote :

Not all the attached packages have the exact same cause listed in the description. But they all have hardcoded paths at build time that don't facilitate run-time relocation in a snap.

One answer is certainly to just build them differently when we include them in a snap. But most of these work in a click context, so must have some support for relocation. Plus, it would be a nice-to-have to support just pulling them in from the archive.

summary: - Does not work inside a snap
+ Does not work inside a snap due to hardcoded paths
Florian Boucault (fboucault) wrote :

See what was done in camera-app to remedy that issue

Michael Terry (mterry) wrote :

See lp:camera-app/config.h.in for an example of looking at $SNAP.

Bill Filler (bfiller) on 2016-09-29
Changed in address-book-app (Ubuntu):
status: New → In Progress
assignee: nobody → Renato Araujo Oliveira Filho (renatofilho)
importance: Undecided → High
Changed in ubuntu-system-settings (Ubuntu):
status: New → In Progress
importance: Undecided → High
assignee: nobody → Jonas G. Drange (jonas-drange)
Changed in webbrowser-app (Ubuntu):
status: New → In Progress
importance: Undecided → High
assignee: nobody → Olivier Tilloy (osomon)
Changed in ubuntu-terminal-app (Ubuntu):
importance: Undecided → High
assignee: nobody → Michael Sheldon (michael-sheldon)
Changed in dialer-app (Ubuntu):
importance: Undecided → High
assignee: nobody → Gustavo Pichorim Boiko (boiko)
Changed in messaging-app (Ubuntu):
importance: Undecided → High
assignee: nobody → Tiago Salem Herrmann (tiagosh)
Michael Terry (mterry) on 2016-09-29
Changed in unity8 (Ubuntu):
assignee: nobody → Michael Terry (mterry)

On Address-book App Iam checking for SNAP env var. Like this:

static QString fullPath(const QString &fileName)
{
    QString result;
    QString appPath = QCoreApplication::applicationDirPath();
    if (qEnvironmentVariableIsSet(SNAP_PATH)) {
        result = qgetenv(SNAP_PATH) + QStringLiteral("/usr/share/address-book-app/") + fileName;
    } else if (appPath.startsWith(ADDRESS_BOOK_DEV_BINDIR)) {
        result = QString(ADDRESS_BOOK_APP_DEV_DATADIR) + fileName;
    } else if (clickModeEnabled()) {
        result = appPath + QStringLiteral("/share/address-book-app/") + fileName;
    } else {
        result = QString(ADDRESS_BOOK_APP_INSTALL_DATADIR) + fileName;
    }
    return result;
}

Changed in address-book-app (Ubuntu):
status: In Progress → Fix Committed
Olivier Tilloy (osomon) wrote :
Michael Terry (mterry) on 2016-10-03
Changed in unity8 (Ubuntu):
status: New → In Progress
importance: Undecided → High
Michael Terry (mterry) on 2016-10-04
Changed in unity-scopes-api (Ubuntu):
assignee: nobody → Michael Terry (mterry)
Michael Terry (mterry) on 2016-10-05
Changed in unity-scopes-shell (Ubuntu):
assignee: nobody → Michael Terry (mterry)
Changed in unity-scopes-api (Ubuntu):
status: New → In Progress
Michael Terry (mterry) on 2016-10-06
Changed in unity-scopes-shell (Ubuntu):
status: New → In Progress
Changed in ubuntu-system-settings (Ubuntu):
status: In Progress → Fix Committed
Changed in ubuntu-filemanager-app:
assignee: nobody → Renato Araujo Oliveira Filho (renatofilho)
status: New → In Progress

Fix committed into lp:ubuntu-filemanager-app at revision 574, scheduled for release in ubuntu-filemanager-app, milestone alpha-1

Changed in ubuntu-filemanager-app:
status: In Progress → Fix Committed
Michael Terry (mterry) on 2016-10-12
no longer affects: unity-scope-click (Ubuntu)
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package unity8 - 8.14+17.04.20161024-0ubuntu1

---------------
unity8 (8.14+17.04.20161024-0ubuntu1) zesty; urgency=medium

  [ Albert Astals Cid ]
  * Make PreviewProgress be thicker again (LP: #1629382)
  * tst_PreviewZoomableImage: Wait for LazyImage transitions on init()
    (LP: #1630136)

  [ Andrea Azzarone ]
  * Remove UbuntuShapeForItem and replace its use with the more standard
    Ubuntu.Components.UbuntuShape.

  [ Lukáš Tinkl ]
  * Restore the double tap decoration to maximize feature (LP: #1627281)
  * Hide the cursor for fullscreen apps after 3 seconds of inactivity
  * Implement moving windows by Alt + left mouse button

  [ Marco Trevisan (Treviño) ]
  * MenuItemFactory: use more features from SlotsLayout based settings
    components

  [ Michael Terry ]
  * Grab launcher icon information from ubuntu-app-launch, not directly
    from desktop files.
  * Adjust root paths if we're running inside a snap. (LP: #1629009)

  [ Michael Zanetti ]
  * Merge all Stages into one single codebase. Apply new spread visuals.
    (LP: #1489517, #1603914, #1635800)

 -- Michael Zanetti <email address hidden> Mon, 24 Oct 2016 11:37:28 +0000

Changed in unity8 (Ubuntu):
status: In Progress → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package webbrowser-app - 0.23+17.04.20161024.1-0ubuntu1

---------------
webbrowser-app (0.23+17.04.20161024.1-0ubuntu1) zesty; urgency=medium

  [ Andrew Hayzen ]
  * Fix for issue where many tabs causes close button to overlap other
    tabs (LP: #1473630)
  * When page has started, stopped, redirected or errored clear cache for
    history update - which prevents incorrect titles in being set
    (LP: #1603835)
  * Add autopilot tests javascript dialogs to webbrowser and
    webapp-container - alertDialog, beforeUnloadDialog, confirmDialog and
    promptDialog (LP: #1633040)
  * Add user-agent override to display the new twitter mobile interface
    (LP: #1577834)

  [ Florian Boucault ]
  * Improved startup time by 800ms by delaying QML compilation and making
    it asynchronous

  [ Olivier Tilloy ]
  * Replace chromium version in UA overrides at runtime, not at build
    time (LP: #1599695)
  * Initial support for generating a snap package for webbrowser-app
    (LP: #1629009)
  * Do not persist references to incognito downloads on disk
    (LP: #1625519)
  * Increase test coverage (to 97.5%) for DownloadsModel (LP: #1534102)
  * Various performance optimizations linked to load events
    (LP: #1611680)
  * Ensure a tab is loaded when re-opened (LP: #1632246)
  * Fix drag'n'drop of bookmarks within the new tab view (LP: #1584868)
  * Work around a limitation in the sound and microphone policy groups
    to "fix" sound in yakkety an zesty (LP: #1632620)

 -- Olivier Tilloy <email address hidden> Mon, 24 Oct 2016 13:51:59 +0000

Changed in webbrowser-app (Ubuntu):
status: In Progress → Fix Released
Bill Filler (bfiller) on 2016-11-01
Changed in dialer-app (Ubuntu):
status: New → Fix Committed
Changed in messaging-app (Ubuntu):
status: New → Fix Released
Changed in ubuntu-filemanager-app:
status: Fix Committed → Fix Released
Changed in ubuntu-terminal-app (Ubuntu):
status: New → Fix Released
Changed in history-service (Ubuntu):
status: New → In Progress
Changed in ubuntu-keyboard (Ubuntu):
assignee: nobody → Michael Sheldon (michael-sheldon)
status: New → In Progress
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubuntu-system-settings - 0.4+17.04.20161101.1-0ubuntu1

---------------
ubuntu-system-settings (0.4+17.04.20161101.1-0ubuntu1) zesty; urgency=medium

  * Drop repowerd to a Recommends and stop depending on gnome-settings-
    daemon to fix a component mismatch

 -- Ken VanDine <email address hidden> Tue, 01 Nov 2016 17:51:36 +0000

Changed in ubuntu-system-settings (Ubuntu):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubuntu-keyboard - 0.100+17.04.20161108-0ubuntu1

---------------
ubuntu-keyboard (0.100+17.04.20161108-0ubuntu1) zesty; urgency=medium

  * Add support for building as a snap (LP: #1572653, #1629009)

 -- Michael Sheldon <email address hidden> Tue, 08 Nov 2016 11:24:43 +0000

Changed in ubuntu-keyboard (Ubuntu):
status: In Progress → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package unity-scopes-shell - 0.5.8+17.04.20161115.3-0ubuntu1

---------------
unity-scopes-shell (0.5.8+17.04.20161115.3-0ubuntu1) zesty; urgency=medium

  [ Michael Terry ]
  * Handle running inside a snap by paying attention to the $SNAP
    prefix. (LP: #1629009)

 -- Marcus Tomlinson <email address hidden> Tue, 15 Nov 2016 10:54:03 +0000

Changed in unity-scopes-shell (Ubuntu):
status: In Progress → Fix Released
Bill Filler (bfiller) on 2016-11-16
Changed in messaging-app (Ubuntu):
status: Fix Released → In Progress
assignee: Tiago Salem Herrmann (tiagosh) → Renato Araujo Oliveira Filho (renatofilho)
Changed in dialer-app (Ubuntu):
assignee: Gustavo Pichorim Boiko (boiko) → Renato Araujo Oliveira Filho (renatofilho)
status: Fix Committed → In Progress
Michael Terry (mterry) wrote :

Unsetting address-book-app as fixed, since it still uses hardcoded /usr/lib/XXX/unity8/qml path for qml plugin lookups.

Changed in address-book-app (Ubuntu):
status: Fix Committed → Confirmed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package policykit-unity8 - 0.1+17.04.20161116-0ubuntu1

---------------
policykit-unity8 (0.1+17.04.20161116-0ubuntu1) zesty; urgency=medium

  * Let policykit-unity8 work inside of a unity8 snap. (LP: #1629009)

 -- Michael Terry <email address hidden> Wed, 16 Nov 2016 19:22:13 +0000

Changed in policykit-unity8 (Ubuntu):
status: New → Fix Released
Michael Terry (mterry) on 2016-11-18
Changed in address-book-service (Ubuntu):
status: New → In Progress
Changed in address-book-app (Ubuntu):
status: Confirmed → In Progress
Changed in history-service (Ubuntu):
status: In Progress → New
Changed in indicator-bluetooth (Ubuntu):
status: New → In Progress
Changed in indicator-keyboard (Ubuntu):
status: New → In Progress
Changed in indicator-location (Ubuntu):
status: New → In Progress
Changed in indicator-messages (Ubuntu):
status: New → In Progress
Changed in indicator-network (Ubuntu):
status: New → In Progress
Changed in indicator-power (Ubuntu):
status: New → In Progress
Changed in indicator-session (Ubuntu):
status: New → In Progress
Changed in indicator-sound (Ubuntu):
status: New → In Progress
Changed in indicator-transfer (Ubuntu):
status: New → In Progress
Changed in mediascanner2 (Ubuntu):
status: New → In Progress
Michael Terry (mterry) on 2016-11-18
Changed in ubuntu-touch-session (Ubuntu):
status: New → In Progress
Changed in unity-scope-scopes (Ubuntu):
status: New → Won't Fix
Changed in unity-scopes-api (Ubuntu):
status: In Progress → Fix Released
Changed in telephony-service (Ubuntu):
assignee: nobody → Roberto Mier Escandón  (rmescandon)
status: New → In Progress

We've added a patch to maliit to support this via the MALIIT_PLUGIN_PATH environment variable.

Changed in maliit-framework (Ubuntu):
assignee: nobody → Michael Sheldon (michael-sheldon)
status: New → Fix Released
Changed in canonical-devices-system-image:
assignee: nobody → Pat McGowan (pat-mcgowan)
importance: Undecided → High
milestone: none → p1
status: New → In Progress
Bill Filler (bfiller) on 2016-11-29
Changed in maliit-framework (Ubuntu):
status: Fix Released → In Progress
Changed in ubuntu-keyboard (Ubuntu):
status: Fix Released → In Progress
Bill Filler (bfiller) on 2016-11-29
Changed in camera-app (Ubuntu):
status: New → In Progress
Changed in gallery-app (Ubuntu):
status: New → In Progress
Changed in mediaplayer-app (Ubuntu):
status: New → In Progress
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gallery-app - 0.0.67+17.04.20161129-0ubuntu1

---------------
gallery-app (0.0.67+17.04.20161129-0ubuntu1) zesty; urgency=medium

  * Set Import dir based on "SNAP" env var. (LP: #1629009)
  * Make use of ubuntu-app-platform.

 -- Renato Araujo Oliveira Filho <email address hidden> Tue, 29 Nov 2016 18:42:11 +0000

Changed in gallery-app (Ubuntu):
status: In Progress → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package address-book-app - 0.2+17.04.20161124.2-0ubuntu1

---------------
address-book-app (0.2+17.04.20161124.2-0ubuntu1) zesty; urgency=medium

  * Use 'SNAP_PATH' to import files if available. (LP: #1629009)

 -- Renato Araujo Oliveira Filho <email address hidden> Thu, 24 Nov 2016 18:54:55 +0000

Changed in address-book-app (Ubuntu):
status: In Progress → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package address-book-service - 0.1.2+17.04.20161124.1-0ubuntu1

---------------
address-book-service (0.1.2+17.04.20161124.1-0ubuntu1) zesty; urgency=medium

  [ Michael Terry ]
  * Handle running inside of a snap by respecting the $SNAP variable and
    not using hard coded paths. (LP: #1629009)

  [ Renato Araujo Oliveira Filho ]
  * Use the service as DBUS activated.

 -- Renato Araujo Oliveira Filho <email address hidden> Thu, 24 Nov 2016 18:54:54 +0000

Changed in address-book-service (Ubuntu):
status: In Progress → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package dialer-app - 0.1+17.04.20161124-0ubuntu1

---------------
dialer-app (0.1+17.04.20161124-0ubuntu1) zesty; urgency=medium

  * Append "SNAP" path into the base application path, when that var is
    set. (LP: #1629009)

 -- Renato Araujo Oliveira Filho <email address hidden> Thu, 24 Nov 2016 18:54:52 +0000

Changed in dialer-app (Ubuntu):
status: In Progress → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package messaging-app - 0.1+17.04.20161124.2-0ubuntu1

---------------
messaging-app (0.1+17.04.20161124.2-0ubuntu1) zesty; urgency=medium

  * Append "SNAP" path into the base application path, when that var is
    set. (LP: #1629009)

 -- Renato Araujo Oliveira Filho <email address hidden> Thu, 24 Nov 2016 18:55:09 +0000

Changed in messaging-app (Ubuntu):
status: In Progress → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package mediaplayer-app - 0.20.5+17.04.20161124.1-0ubuntu1

---------------
mediaplayer-app (0.20.5+17.04.20161124.1-0ubuntu1) zesty; urgency=medium

  * Use platform content share. (LP: #1629009)
  * Run on desktop mode when running on untiy8 snap session.

 -- Renato Araujo Oliveira Filho <email address hidden> Thu, 24 Nov 2016 18:54:49 +0000

Changed in mediaplayer-app (Ubuntu):
status: In Progress → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package indicator-sound - 12.10.2+17.04.20161201-0ubuntu1

---------------
indicator-sound (12.10.2+17.04.20161201-0ubuntu1) zesty; urgency=medium

  [ Michael Terry ]
  * Work when inside a snap by prefixing hard coded paths with $SNAP.
    (LP: #1629009, #1645833)

 -- Rodney Dawes <email address hidden> Thu, 01 Dec 2016 22:33:58 +0000

Changed in indicator-sound (Ubuntu):
status: In Progress → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package indicator-location - 13.10.0+17.04.20161201-0ubuntu1

---------------
indicator-location (13.10.0+17.04.20161201-0ubuntu1) zesty; urgency=medium

  [ Michael Terry ]
  * Work inside a snap by prefixing hard coded paths with $SNAP. (LP:
    #1629009)

 -- Rodney Dawes <email address hidden> Thu, 01 Dec 2016 22:33:58 +0000

Changed in indicator-location (Ubuntu):
status: In Progress → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package indicator-messages - 13.10.1+17.04.20161201-0ubuntu1

---------------
indicator-messages (13.10.1+17.04.20161201-0ubuntu1) zesty; urgency=medium

  [ Charles Kerr ]
  * Fix Zesty FTBFS by making gnome-common build dependency explicit

  [ Michael Terry ]
  * Work inside a snap by prefixing hard coded paths with $SNAP. (LP:
    #1629009)

 -- Rodney Dawes <email address hidden> Thu, 01 Dec 2016 22:34:25 +0000

Changed in indicator-messages (Ubuntu):
status: In Progress → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package indicator-power - 12.10.6+17.04.20161201-0ubuntu1

---------------
indicator-power (12.10.6+17.04.20161201-0ubuntu1) zesty; urgency=medium

  [ Michael Terry ]
  * Work inside a snap by prefixing hard coded paths with $SNAP. (LP:
    #1629009)

 -- Rodney Dawes <email address hidden> Thu, 01 Dec 2016 22:34:02 +0000

Changed in indicator-power (Ubuntu):
status: In Progress → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package indicator-transfer - 0.2+17.04.20161201-0ubuntu1

---------------
indicator-transfer (0.2+17.04.20161201-0ubuntu1) zesty; urgency=medium

  [ Michael Terry ]
  * Work inside a snap by prefixing hard coded paths with $SNAP. (LP:
    #1629009)

  [ Rodney Dawes ]
  * Use cmake-extras for finding gmock and to work with gmock 1.8.

 -- Rodney Dawes <email address hidden> Thu, 01 Dec 2016 22:33:50 +0000

Changed in indicator-transfer (Ubuntu):
status: In Progress → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package indicator-bluetooth - 0.0.6+17.04.20161201-0ubuntu1

---------------
indicator-bluetooth (0.0.6+17.04.20161201-0ubuntu1) zesty; urgency=medium

  [ Michael Terry ]
  * Work inside a snap by prefixing hard coded paths with $SNAP. (LP:
    #1629009)

 -- Rodney Dawes <email address hidden> Thu, 01 Dec 2016 22:33:36 +0000

Changed in indicator-bluetooth (Ubuntu):
status: In Progress → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package indicator-session - 12.10.5+17.04.20161201-0ubuntu1

---------------
indicator-session (12.10.5+17.04.20161201-0ubuntu1) zesty; urgency=medium

  [ Michael Terry ]
  * Work inside a snap by prefixing hard coded paths with $SNAP. (LP:
    #1629009)

 -- Rodney Dawes <email address hidden> Thu, 01 Dec 2016 22:33:56 +0000

Changed in indicator-session (Ubuntu):
status: In Progress → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package mediascanner2 - 0.112+17.04.20161201-0ubuntu1

---------------
mediascanner2 (0.112+17.04.20161201-0ubuntu1) zesty; urgency=medium

  [ James Henstridge ]
  * Correctly detect embedded art in Vorbis files with TagLib 1.11.

  [ Michael Terry ]
  * Handle running inside of a snap by respecting the $SNAP variable.
    (LP: #1629009)

 -- James Henstridge <email address hidden> Thu, 01 Dec 2016 09:07:15 +0000

Changed in mediascanner2 (Ubuntu):
status: In Progress → Fix Released
dobey (dobey) on 2016-12-05
Changed in indicator-network (Ubuntu):
importance: Undecided → Critical
no longer affects: pay-service (Ubuntu)
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package indicator-network - 0.9.0+17.04.20161205.1-0ubuntu1

---------------
indicator-network (0.9.0+17.04.20161205.1-0ubuntu1) zesty; urgency=medium

  [ Pete ]
  * Add ethernet support to indicator (and NM dbus template).
  * Switch to common active connection interface throughout the codebase.
  * Re-enable tests on all arches except powerpc, ppc64el, s390x.
  * Fix Wi-Fi widget visibility.

  [ Michael Terry ]
  * Work inside a snap by prefixing hard coded paths with $SNAP. (LP:
    #1629009)

 -- Pete Woods <email address hidden> Mon, 05 Dec 2016 18:16:19 +0000

Changed in indicator-network (Ubuntu):
status: In Progress → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubuntu-touch-session - 0.108+17.04.20161206-0ubuntu1

---------------
ubuntu-touch-session (0.108+17.04.20161206-0ubuntu1) zesty; urgency=medium

  * Support running inside a snap (without breaking non-snap runs). (LP:
    #1629009, #1645797, #1645833)

 -- Michael Terry <email address hidden> Tue, 06 Dec 2016 13:46:42 +0000

Changed in ubuntu-touch-session (Ubuntu):
status: In Progress → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package indicator-keyboard - 0.0.0+17.04.20161212-0ubuntu1

---------------
indicator-keyboard (0.0.0+17.04.20161212-0ubuntu1) zesty; urgency=medium

  [ Michael Terry ]
  * Work inside a snap by prefixing hard coded paths with $SNAP. (LP:
    #1629009)

 -- Rodney Dawes <email address hidden> Mon, 12 Dec 2016 16:10:39 +0000

Changed in indicator-keyboard (Ubuntu):
status: In Progress → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package telephony-service - 0.1+17.04.20161213.1-0ubuntu1

---------------
telephony-service (0.1+17.04.20161213.1-0ubuntu1) zesty; urgency=medium

  [ Renato Araujo Oliveira Filho, Roberto Mier Escandon ]
  * prefixes snap env var value to paths in case service is into a snap
    package (LP: #1629009)

  [ Tiago Salem Herrmann ]
  * Increase dbus-test-runner timeout to 6 minutes.

  [ Roberto Mier Escandon, Tiago Salem Herrmann ]
  * Requesting protocols from qml plugin using DBus in case protocols
    dir folder does not exits.

 -- Tiago Salem Herrmann <email address hidden> Tue, 13 Dec 2016 12:47:02 +0000

Changed in telephony-service (Ubuntu):
status: In Progress → Fix Released
Changed in camera-app (Ubuntu):
status: In Progress → Fix Released
Changed in history-service (Ubuntu):
status: New → Fix Released
Changed in indicator-display (Ubuntu):
assignee: nobody → Charles Kerr (charlesk)
Changed in sync-monitor (Ubuntu):
assignee: nobody → Renato Araujo Oliveira Filho (renatofilho)
Changed in canonical-devices-system-image:
milestone: p1 → p2
Changed in canonical-devices-system-image:
assignee: Pat McGowan (pat-mcgowan) → Bill Filler (bfiller)
Changed in ubuntu-keyboard (Ubuntu):
status: In Progress → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers